# Uses of Class
java.util.concurrent.ForkJoinPool

Packages that use ForkJoinPool
Package
Description
java.util.concurrent
Utility classes commonly useful in concurrent programming.

## Uses of ForkJoinPool in java.util.concurrent

Methods in java.util.concurrent that return ForkJoinPool
Modifier and Type
Method
Description
`static ForkJoinPool`
ForkJoinPool.`commonPool()`
Returns the common pool instance.
`static ForkJoinPool`
ForkJoinTask.`getPool()`
Returns the pool hosting the current thread, or `null` if the current thread is executing outside of any ForkJoinPool.
`ForkJoinPool`
ForkJoinWorkerThread.`getPool()`
Returns the pool hosting this thread.
Methods in java.util.concurrent with parameters of type ForkJoinPool
Modifier and Type
Method
Description
`ForkJoinWorkerThread`
ForkJoinPool.ForkJoinWorkerThreadFactory.`newThread(ForkJoinPool pool)`
Returns a new worker thread operating in the given pool.
Constructors in java.util.concurrent with parameters of type ForkJoinPool
Modifier
Constructor
Description
`protected`
`ForkJoinWorkerThread(ThreadGroup group, ForkJoinPool pool, boolean preserveThreadLocals)`
Creates a ForkJoinWorkerThread operating in the given thread group and pool, and with the given policy for preserving ThreadLocals.
`protected`
`ForkJoinWorkerThread(ForkJoinPool pool)`
Creates a ForkJoinWorkerThread operating in the given pool.
Constructor parameters in java.util.concurrent with type arguments of type ForkJoinPool
Modifier
Constructor
Description
``
`ForkJoinPool(int parallelism, ForkJoinPool.ForkJoinWorkerThreadFactory factory, Thread.UncaughtExceptionHandler handler, boolean asyncMode, int corePoolSize, int maximumPoolSize, int minimumRunnable, Predicate<? super ForkJoinPool> saturate, long keepAliveTime, TimeUnit unit)`
Creates a `ForkJoinPool` with the given parameters.